## ssvnc 1.0.28

=== debian/changelog ===
ssvnc (1.0.28-1build1) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 May 2011 22:43:59 +0100

ssvnc (1.0.28-1) unstable; urgency=low

  * New upstream release (Closes: #592873, "Connection from UVNC
    Single-Click does not start vncviewer when -acceptpopups is set").
  * Convert to source format 3.0 (quilt), changing /bin/sh into /bin/bash
    (see below) in the install target instead.
  * debian/copyright: Update years of copyright; remove notice that the
    UltraVNC DSM helper module is not included (which it is since
    1.0.24-1).
  * Remove redundant bash dependency; bash isn't going to be non-essential
    any time soon.
  * Up Standards-Version to 3.9.1.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 06 Feb 2011 23:06:25 +0100

ssvnc (1.0.27-1) unstable; urgency=low

  * New upstream release.
  * bashisms.dpatch: Don't try to fix all bashisms; instead change /bin/sh
    to /bin/bash and depend on bash, which is small in this context.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 23 May 2010 19:07:52 +0200

ssvnc (1.0.25-1) unstable; urgency=low

  * New upstream release.
  * confusing_-h.dpatch and bashisms.dpatch: adjusted.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 06 Feb 2010 20:45:04 +0100

ssvnc (1.0.24-1) unstable; urgency=low

  * New upstream release.
    * ssvnc -help now prints a help message instead of passing -help to the
      tcl interpreter.
  * confusing_-h.dpatch (new): Improve upstream's handling of -help a bit
    (Closes: 544250).
  * ultraftp_path.dpach (new): Use hardcoded (and correct for this
    package) path to ultraftp.jar if SSVNC_ULTRA_FTP_JAR is unset, so that
    file transfers work even if ssvncviewer is executed directly.
  * bashisms.dpatch (new): Fix most bashisms (all that matter).
  * Drop no_openssl.dpatch and build ultravnc_dsm_helper; OpenSSL
    exception has been granted. Build-depend on libssl-dev.
  * Promote stunnel4 from Recommends to Depends (Closes: #553411), depend
    directly on openssl, depend on tk instead of tk8.4, and tweak java
    recommendations.
  * Add README.source.
  * Bump Standards-Version to 3.8.3.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 31 Oct 2009 21:02:42 +0100

ssvnc (1.0.23-1) unstable; urgency=low

  * Initial release (Closes: #504134).

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 01 Aug 2009 19:31:25 +0200
