=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/ssvnc

configure: configure-stamp
configure-stamp:
	dh_testdir
	$(MAKE) config
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE) all

	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	$(MAKE) clean
	rm vnc_unixsrc/*/Makefile

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) ROOT=$(DESTDIR) PREFIX=/usr MANDIR=share/man install
	sed -ri -e 's#/bin/sh#/bin/bash#g' \
	 $(addprefix $(DESTDIR)/usr/lib/ssvnc/,ssvnc ssvnc_cmd util/ss_vncviewer util/ssvnc.tcl)

# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
