=== ultraftp/Makefile ===
--- 
+++ 
@@ -3,11 +3,12 @@
 SOURCES = $(shell echo *.java)
 CLASSES = $(SOURCES:%.java=%.class)
 ARCHIVE = ultraftp.jar
+JC_ARGS = -target 1.4 -source 1.4
 
 all: $(CLASSES) $(ARCHIVE)
 
 $(CLASSES): $(SOURCES)
-	javac $(SOURCES)
+	javac $(JC_ARGS) $(SOURCES)
 
 $(ARCHIVE): $(CLASSES)
 	jar cvf $(ARCHIVE) *.class
