=== debian/changelog ===
ssvnc (1.0.29-7) unstable; urgency=medium

  * Move packaging to salsa.debian.org.
  * gcc15.patch: Fixes needed to compile with GCC15 (Closes: #1097933).
  * Add dependency on net-tools to ensure that netstat exists (Closes:
    #1091361).

 -- Magnus Holmgren <holmgren@debian.org>  Tue, 07 Oct 2025 20:55:37 +0200

ssvnc (1.0.29-6.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Vladimir Petko ]
  * d/rules: use java_compat_level variable provided by java-common
    to adjust -source/-target level to the minimum required by
    the default Java (Closes: #1053080).
  * d/rules: force deletion of vnc_unixsrc/*/Makefile (Closes: #1047893).

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 03 Oct 2024 12:39:25 +0200

ssvnc (1.0.29-6) unstable; urgency=low

  * no-mkmf.patch: Replace Imake-generated Makefiles with simple ones in
    preparation for the removal of xmkkf (Closes: #888009, #997646).
    Thanks to Helmut Grohne <helmut@subdivi.de>.
  * sendclipboard-fix.patch: Make sure that -sendclipboard actually uses
    the clipboard (Closes: #841854). Thanks to OmegaPhil
    <OmegaPhil@startmail.com>.
  * Bump Standards-Version to 4.6.0.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 06 Jan 2022 21:56:37 +0100

ssvnc (1.0.29-5) unstable; urgency=high

  * Porting of libvncclient security patches by the jessie LTS team
    (Closes: #945827):
    - CVE-2018-20020: heap out-of-bound write vulnerability inside structure
      in VNC client code.
    - CVE-2018-20021: CWE-835: Infinite loop vulnerability in VNC client code.
    - CVE-2018-20022: CWE-665: Improper Initialization vulnerability.
    - CVE-2018-20024: null pointer dereference that can result DoS.
  * Bump Standards-Version to 4.4.1.

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 16 Dec 2019 19:46:31 +0100

ssvnc (1.0.29-4) unstable; urgency=low

  * default-jdk-headless is enough to build.
  * Compile java with -source 1.7 -target 1.7 (Closes: #874004).
  * Replace priority extra with optional.
  * Switch to Debhelper compat level 10.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 24 Jun 2018 19:39:53 +0200

ssvnc (1.0.29-3) unstable; urgency=low

  * debian/rules: Add call to dh_strip_nondeterminism.
  * openssl1.1.patch (new): Support OpenSSL 1.1 API changes (Closes:
    #828559).
  * auto-scale.patch (new): Make autoscaling work (Closes: #801804, LP:
    #1312966). In addition to the command-line option "-scale auto"
    creating a 1×1 window, rescaling when resizing the window didn't
    happen, at least not when Caps Lock or other modifiers were active.
  * samemachine_ipv6_overflow.patch (new): Fix stack overflow when
    connecting over IPv6, caused by non-IPv6-aware code (Closes: #774622).
  * nostrip.patch: Don't strip vncstorepw or ultravnc_dsm_helper either.
  * buildflags.patch: Also pass flags to vncstorepw/Makefile and patch
    that to use them.
  * Bump Standards-Version to 3.9.8.

 -- Magnus Holmgren <holmgren@debian.org>  Sat, 30 Jul 2016 23:09:44 +0200

ssvnc (1.0.29-2) unstable; urgency=low

  * Also get CPPFLAGS from dpkg-buildflags. Pass it as EXTRA_DEFINES to
    vnc_unixsrc/*/Makefile.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 11 Nov 2011 08:11:09 +0100

ssvnc (1.0.29-1) unstable; urgency=low

  * New upstream release.
  * Install ReleaseNotes as upstream changelog file.
  * Simply build-depend on libjpeg-dev instead of libjpeg62-dev |
    libjpeg-dev (Closes: #644808).
  * Install a symlink in /usr/bin instead of including the main vncviewer
    binary twice in the package.
  * Add build-arch and build-indep targets to debian/rules.
  * nostrip.patch: Remove strip command from the Makefile, allowing
    DEB_BUILD_OPTONS=nostrip to work.
  * Get CFLAGS and LDFLAGS from dpkg-buildflags.
  * buildflags.patch: Pass CFLAGS and LDFLAGS through via ./Makefile as
    CDEBUGFLAGS and LOCAL_LDFLAGS to vnc_unixsrc/*/Makefile. This results
    in -fno-strict-aliasing (added by xmkmf by default) being dropped, but
    that doesn't seem to cause any problems.
  * format-security.patch: Fix some flaws uncovered by -Wformat-security.
  * Bump Standards-Version to 3.9.2.

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 10 Nov 2011 22:23:15 +0100
