=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: ssvnc
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Magnus Holmgren <holmgren@debian.org>
-Build-Depends: debhelper (>= 7), xutils-dev, libxaw7-dev,
+Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 10), xutils-dev, libxaw7-dev,
  libxmu-dev, libxext-dev, libxt-dev, libsm-dev, libice-dev,
- libjpeg62-dev | libjpeg-dev, zlib1g-dev | libz-dev,
- default-jdk, libssl-dev
-Standards-Version: 3.9.1
+ libjpeg-dev, zlib1g-dev | libz-dev,
+ default-jdk-headless, libssl-dev, dh-strip-nondeterminism
+Standards-Version: 4.6.0
 Homepage: http://www.karlrunge.com/x11vnc/ssvnc.html
+Vcs-Git: https://salsa.debian.org/holmgren/ssvnc.git
+Vcs-Browser: https://salsa.debian.org/holmgren/ssvnc
 
 Package: ssvnc
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, tk,
  openssh-client, bind9-host | host, procps, psmisc, xterm,
- stunnel4, openssl
+ stunnel4, openssl, net-tools
 Recommends: default-jre | java5-runtime
 Description: Enhanced TightVNC viewer with SSL/SSH tunnel helper
  VNC stands for Virtual Network Computing. It is, in essence, a remote
