=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,12 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/java/java_defaults.mk
 DESTDIR=$(CURDIR)/debian/ssvnc
+
+export CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 configure: configure-stamp
 configure-stamp:
@@ -17,13 +22,17 @@
 	$(MAKE) config
 	touch configure-stamp
 
-build: build-stamp
+build-indep:
+
+build-arch: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
 
-	$(MAKE) all
+	$(MAKE) all JC_ARGS="-source $(java_compat_level) -target $(java_compat_level)"
 
 	touch $@
+
+build: build-arch build-indep
 
 clean: configure-stamp
 	dh_testdir
@@ -31,7 +40,7 @@
 	rm -f build-stamp configure-stamp
 
 	$(MAKE) clean
-	rm vnc_unixsrc/*/Makefile
+	rm -f vnc_unixsrc/*/Makefile
 
 	dh_clean 
 
@@ -52,11 +61,12 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs 
+	dh_installchangelogs -k ReleaseNotes
 	dh_installdocs
 	dh_installexamples
 	dh_installman
 	dh_link
+	dh_strip_nondeterminism
 	dh_strip
 	dh_compress
 	dh_fixperms
@@ -67,4 +77,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure
